Index: /trunk/EXTERNAL/XMLIO_SERVER/AA_make
===================================================================
--- /trunk/EXTERNAL/XMLIO_SERVER/AA_make	(revision 1724)
+++ /trunk/EXTERNAL/XMLIO_SERVER/AA_make	(revision 1725)
@@ -69,25 +69,32 @@
 	mod_mpi_buffer_server.o mod_pack.o mod_prec.o mod_wait.o pack_f.o 
 
-MODS2 =	../src/XMLIO/mod_axis.f90 ../src/XMLIO/mod_axis_definition.f90 \
-	../src/XMLIO/mod_axis_group.f90 ../src/XMLIO/mod_context.f90 \
-	../src/XMLIO/mod_dependency.f90 ../src/XMLIO/mod_domain.f90 \
-	../src/XMLIO/mod_error_msg.f90 ../src/XMLIO/mod_field.f90 \
+MODS2 =	../src/XMLIO/mod_attribut.f90 ../src/XMLIO/mod_attribut_list.f90 \
+	../src/XMLIO/mod_axis.f90 ../src/XMLIO/mod_axis_attribut.f90 \
+	../src/XMLIO/mod_axis_definition.f90 ../src/XMLIO/mod_axis_group.f90 \
+	../src/XMLIO/mod_context.f90 ../src/XMLIO/mod_dependency.f90 \
+	../src/XMLIO/mod_domain.f90 ../src/XMLIO/mod_error_msg.f90 \
+	../src/XMLIO/mod_field.f90 ../src/XMLIO/mod_field_attribute.f90 \
 	../src/XMLIO/mod_field_definition.f90 \
 	../src/XMLIO/mod_field_group.f90 ../src/XMLIO/mod_file.f90 \
+	../src/XMLIO/mod_file_attribut.f90 \
 	../src/XMLIO/mod_file_definition.f90 ../src/XMLIO/mod_file_group.f90 \
-	../src/XMLIO/mod_grid.f90 ../src/XMLIO/mod_grid_definition.f90 \
-	../src/XMLIO/mod_grid_group.f90 ../src/XMLIO/mod_parse_xml.f90 \
-	../src/XMLIO/mod_sorted_list.f90 ../src/XMLIO/mod_time_parameters.f90 \
+	../src/XMLIO/mod_grid.f90 ../src/XMLIO/mod_grid_attribut.f90 \
+	../src/XMLIO/mod_grid_definition.f90 ../src/XMLIO/mod_grid_group.f90 \
+	../src/XMLIO/mod_object.f90 ../src/XMLIO/mod_parse_xml.f90 \
+	../src/XMLIO/mod_sorted_list.f90 ../src/XMLIO/mod_stdtype.f90 \
+	../src/XMLIO/mod_time_parameters.f90 \
 	../src/XMLIO/mod_xmlio_parameters.f90 ../src/XMLIO/mod_zoom.f90 \
-	../src/XMLIO/string_function.f90 ../src/XMLIO/test_xmlio.f90 \
-	../src/XMLIO/xmlio.f90
-
-OBJSMODS2 =	mod_axis.o mod_axis_definition.o mod_axis_group.o mod_context.o \
-	mod_dependency.o mod_domain.o mod_error_msg.o mod_field.o \
+	../src/XMLIO/mod_zoom_attribut.f90 ../src/XMLIO/string_function.f90 \
+	../src/XMLIO/test_xmlio.f90 ../src/XMLIO/xmlio.f90
+
+OBJSMODS2 =	mod_attribut.o mod_attribut_list.o mod_axis.o mod_axis_attribut.o \
+	mod_axis_definition.o mod_axis_group.o mod_context.o mod_dependency.o \
+	mod_domain.o mod_error_msg.o mod_field.o mod_field_attribute.o \
 	mod_field_definition.o mod_field_group.o mod_file.o \
-	mod_file_definition.o mod_file_group.o mod_grid.o \
-	mod_grid_definition.o mod_grid_group.o mod_parse_xml.o \
-	mod_sorted_list.o mod_time_parameters.o mod_xmlio_parameters.o \
-	mod_zoom.o string_function.o  xmlio.o
+	mod_file_attribut.o mod_file_definition.o mod_file_group.o mod_grid.o \
+	mod_grid_attribut.o mod_grid_definition.o mod_grid_group.o \
+	mod_object.o mod_parse_xml.o mod_sorted_list.o mod_stdtype.o \
+	mod_time_parameters.o mod_xmlio_parameters.o mod_zoom.o \
+	mod_zoom_attribut.o string_function.o  xmlio.o
 
 .SUFFIXES: .f90 .F90
@@ -171,7 +178,9 @@
 $(MODEL_LIB1)(mod_event_client.o): $(MODEL_LIB1)(mod_event_parameters.o) \
 	$(MODEL_LIB1)(mod_iomanager.o) $(MODEL_LIB1)(mod_ioserver_namelist.o) \
-	$(MODEL_LIB1)(mod_mpi_buffer_client.o) $(MODEL_LIB1)(mod_pack.o)
+	$(MODEL_LIB1)(mod_mpi_buffer_client.o) $(MODEL_LIB1)(mod_pack.o) \
+	$(MODEL_LIB1)(mod_attribut.o)
 $(MODEL_LIB1)(mod_event_server.o): $(MODEL_LIB1)(mod_event_parameters.o) \
-	$(MODEL_LIB1)(mod_iomanager.o) $(MODEL_LIB1)(mod_pack.o)
+	$(MODEL_LIB1)(mod_iomanager.o) $(MODEL_LIB1)(mod_pack.o) \
+	$(MODEL_LIB1)(mod_attribut.o)
 $(MODEL_LIB1)(mod_global_memory.o): $(MODEL_LIB1)(mpi_mod.o)
 $(MODEL_LIB1)(mod_interface_ioipsl.o): $(MODEL_LIB1)(mod_ioserver_para.o) \
@@ -183,5 +192,10 @@
 	$(MODEL_LIB1)(mpi_mod.o)
 $(MODEL_LIB1)(mod_iomanager.o): $(MODEL_LIB1)(mod_field_bufferize.o) \
-	$(MODEL_LIB1)(mod_interface_ioipsl.o) $(MODEL_LIB2)
+	$(MODEL_LIB1)(mod_interface_ioipsl.o) $(MODEL_LIB1)(mod_attribut.o) \
+	$(MODEL_LIB1)(mod_axis.o) $(MODEL_LIB1)(mod_axis_group.o) \
+	$(MODEL_LIB1)(mod_field.o) $(MODEL_LIB1)(mod_field_group.o) \
+	$(MODEL_LIB1)(mod_file.o) $(MODEL_LIB1)(mod_file_group.o) \
+	$(MODEL_LIB1)(mod_grid.o) $(MODEL_LIB1)(mod_grid_group.o) \
+	$(MODEL_LIB1)(mod_object.o) $(MODEL_LIB1)(mod_zoom.o) $(MODEL_LIB2)
 $(MODEL_LIB1)(mod_mpi_buffer_client.o): $(MODEL_LIB1)(mod_global_memory.o) \
 	$(MODEL_LIB1)(mod_ioclient_para.o) \
@@ -195,4 +209,6 @@
 	$(MODEL_LIB1)(mod_wait.o) $(MODEL_LIB1)(mpi_mod.o) \
 	$(MODEL_LIB1)(mpitrace.o)
+$(MODEL_LIB1)(mod_pack.o): $(MODEL_LIB1)(mod_attribut.o) \
+	$(MODEL_LIB1)(mod_stdtype.o)
 $(MODEL_LIB1)(pack_f.o): $(MODEL_LIB1)(mod_prec.o)
 $(MODEL_LIB1)(server.o): $(MODEL_LIB1)(mod_global_memory.o) \
@@ -207,11 +223,22 @@
 $(MODEL_LIB1)(mpi_mod.o): 
 $(MODEL_LIB1)(mpitrace.o): 
-$(MODEL_LIB2)(mod_axis.o): $(MODEL_LIB2)(mod_error_msg.o) \
+$(MODEL_LIB2)(mod_attribut.o): $(MODEL_LIB2)(mod_attribut_list.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_object.o) \
+	$(MODEL_LIB2)(mod_stdtype.o) $(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o)
+$(MODEL_LIB2)(mod_attribut_list.o): $(MODEL_LIB2)(mod_axis_attribut.o) \
+	$(MODEL_LIB2)(mod_field_attribute.o) \
+	$(MODEL_LIB2)(mod_file_attribut.o) $(MODEL_LIB2)(mod_grid_attribut.o) \
+	$(MODEL_LIB2)(mod_zoom_attribut.o)
+$(MODEL_LIB2)(mod_axis.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_axis_attribut.o) $(MODEL_LIB2)(mod_error_msg.o) \
 	$(MODEL_LIB2)(mod_sorted_list.o) \
 	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
 	$(MODEL_LIB2)(string_function.o) ../src/XMLIO/vector_axis_def.inc
+$(MODEL_LIB2)(mod_axis_attribut.o): $(MODEL_LIB2)(mod_object.o)
 $(MODEL_LIB2)(mod_axis_definition.o): $(MODEL_LIB2)(mod_axis_group.o)
-$(MODEL_LIB2)(mod_axis_group.o): $(MODEL_LIB2)(mod_axis.o) \
-	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+$(MODEL_LIB2)(mod_axis_group.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_axis.o) $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_object.o) $(MODEL_LIB2)(mod_xmlio_parameters.o) \
 	$(MODEL_LIB2)(string_function.o) \
 	../src/XMLIO/vector_axis_group_def.inc
@@ -237,30 +264,39 @@
 	../src/XMLIO/vector_domain_def.inc
 $(MODEL_LIB2)(mod_error_msg.o): $(MODEL_LIB2)(mod_xmlio_parameters.o)
-$(MODEL_LIB2)(mod_field.o): $(MODEL_LIB2)(mod_axis.o) \
-	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_grid.o) \
+$(MODEL_LIB2)(mod_field.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_axis.o) $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_field_attribute.o) $(MODEL_LIB2)(mod_grid.o) \
 	$(MODEL_LIB2)(mod_sorted_list.o) \
 	$(MODEL_LIB2)(mod_xmlio_parameters.o) $(MODEL_LIB2)(mod_zoom.o) \
 	$(MODEL_LIB2)(string_function.o) ../src/XMLIO/vector_field_def.inc
+$(MODEL_LIB2)(mod_field_attribute.o): $(MODEL_LIB2)(mod_object.o)
 $(MODEL_LIB2)(mod_field_definition.o): $(MODEL_LIB2)(mod_field_group.o)
-$(MODEL_LIB2)(mod_field_group.o): $(MODEL_LIB2)(mod_field.o) \
-	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+$(MODEL_LIB2)(mod_field_group.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_field.o) \
+	$(MODEL_LIB2)(mod_object.o) $(MODEL_LIB2)(mod_xmlio_parameters.o) \
 	$(MODEL_LIB2)(string_function.o) \
 	../src/XMLIO/vector_field_group_def.inc
-$(MODEL_LIB2)(mod_file.o): $(MODEL_LIB2)(mod_error_msg.o) \
-	$(MODEL_LIB2)(mod_field_group.o) $(MODEL_LIB2)(mod_sorted_list.o) \
+$(MODEL_LIB2)(mod_file.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_field_group.o) \
+	$(MODEL_LIB2)(mod_file_attribut.o) $(MODEL_LIB2)(mod_sorted_list.o) \
 	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
 	$(MODEL_LIB2)(string_function.o) ../src/XMLIO/vector_file_def.inc
+$(MODEL_LIB2)(mod_file_attribut.o): $(MODEL_LIB2)(mod_object.o)
 $(MODEL_LIB2)(mod_file_definition.o): $(MODEL_LIB2)(mod_file_group.o)
-$(MODEL_LIB2)(mod_file_group.o): $(MODEL_LIB2)(mod_file.o) \
-	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+$(MODEL_LIB2)(mod_file_group.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_file.o) \
+	$(MODEL_LIB2)(mod_object.o) $(MODEL_LIB2)(mod_xmlio_parameters.o) \
 	$(MODEL_LIB2)(string_function.o) \
 	../src/XMLIO/vector_file_group_def.inc
-$(MODEL_LIB2)(mod_grid.o): $(MODEL_LIB2)(mod_domain.o) \
-	$(MODEL_LIB2)(mod_sorted_list.o) \
+$(MODEL_LIB2)(mod_grid.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_domain.o) $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_grid_attribut.o) $(MODEL_LIB2)(mod_sorted_list.o) \
 	$(MODEL_LIB2)(mod_xmlio_parameters.o) $(MODEL_LIB2)(mod_zoom.o) \
 	$(MODEL_LIB2)(string_function.o) ../src/XMLIO/vector_grid_def.inc
+$(MODEL_LIB2)(mod_grid_attribut.o): $(MODEL_LIB2)(mod_object.o)
 $(MODEL_LIB2)(mod_grid_definition.o): $(MODEL_LIB2)(mod_grid_group.o)
-$(MODEL_LIB2)(mod_grid_group.o): $(MODEL_LIB2)(mod_grid.o) \
-	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+$(MODEL_LIB2)(mod_grid_group.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_grid.o) \
+	$(MODEL_LIB2)(mod_object.o) $(MODEL_LIB2)(mod_xmlio_parameters.o) \
 	$(MODEL_LIB2)(string_function.o) \
 	../src/XMLIO/vector_grid_group_def.inc
@@ -275,8 +311,12 @@
 	$(MODEL_LIB2)(string_function.o)
 $(MODEL_LIB2)(mod_sorted_list.o): ../src/XMLIO/vector_node_def.inc
-$(MODEL_LIB2)(mod_zoom.o): $(MODEL_LIB2)(mod_sorted_list.o) \
+$(MODEL_LIB2)(mod_zoom.o): $(MODEL_LIB2)(mod_attribut.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_sorted_list.o) \
 	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
-	$(MODEL_LIB2)(string_function.o) ../src/XMLIO/vector_zoom_def.inc
-$(MODEL_LIB2)(string_function.o): $(MODEL_LIB2)(mod_error_msg.o)
+	$(MODEL_LIB2)(mod_zoom_attribut.o) $(MODEL_LIB2)(string_function.o) \
+	../src/XMLIO/vector_zoom_def.inc
+$(MODEL_LIB2)(mod_zoom_attribut.o): $(MODEL_LIB2)(mod_object.o)
+$(MODEL_LIB2)(string_function.o): $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o)
 $(MODEL_LIB2)(test_xmlio.o): $(MODEL_LIB2)(mod_interface_ioipsl.o) \
 	$(MODEL_LIB2)(xmlio.o)
Index: /trunk/NEMO/OPA_SRC/DIA/dianam.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DIA/dianam.F90	(revision 1724)
+++ /trunk/NEMO/OPA_SRC/DIA/dianam.F90	(revision 1725)
@@ -30,5 +30,5 @@
 CONTAINS
 
-   SUBROUTINE dia_nam( cdfnam, kfreq, cdsuff )
+   SUBROUTINE dia_nam( cdfnam, kfreq, cdsuff, ldfsec )
       !!---------------------------------------------------------------------
       !!                  ***  ROUTINE dia_nam  ***
@@ -42,52 +42,60 @@
       !!
       !!----------------------------------------------------------------------
-      CHARACTER (len=*), INTENT(  out) ::   cdfnam           ! file name
-      CHARACTER (len=*), INTENT(in   ) ::   cdsuff           ! to be added at the end of the file name
-      INTEGER,           INTENT(in   ) ::   kfreq            ! output frequency (in time-step): < 0 for monthly outputs
-      !                                                                                         0 if no frequency
-      CHARACTER (len=20) ::   clfmt, clfmt0                  ! writing format
-      CHARACTER (len=20) ::   clave                          ! name for output frequency
-      CHARACTER (len=20) ::   cldate1                        ! date of the beginning of run
-      CHARACTER (len=20) ::   cldate2                        ! date of the end       of run
-      INTEGER            ::   iyear1, imonth1, iday1         ! year, month, day of the first day of the run
-      INTEGER            ::   iyear2, imonth2, iday2         ! year, month, day of the last  day of the run
-      INTEGER            ::   indg                           ! number of digits needed to write a number     
-      INTEGER            ::   inbsec, inbmn, inbhr, inbday   ! output frequency in seconds, minutes, hours and days
-      INTEGER            ::   iddss, ihhss, immss            ! number of seconds in 1 day, 1 hour and 1 minute
-      REAL(wp)           ::   zsec1, zsec2                   ! not used
-      REAL(wp)           ::   zdrun, zjul                    ! temporary scalars
+      CHARACTER (len=*), INTENT(  out)           ::   cdfnam   ! file name
+      CHARACTER (len=*), INTENT(in   )           ::   cdsuff   ! to be added at the end of the file name
+      INTEGER          , INTENT(in   )           ::   kfreq    ! output frequency. < 0 for monthly outputs; = 0 if no frequency
+      LOGICAL          , INTENT(in   ), OPTIONAL ::   ldfsec   ! kfreq in second(in time-step) if .true.(.false. default)
+      !
+      CHARACTER (len=20) ::   clfmt, clfmt0                    ! writing format
+      CHARACTER (len=20) ::   clave                            ! name for output frequency
+      CHARACTER (len=20) ::   cldate1                          ! date of the beginning of run
+      CHARACTER (len=20) ::   cldate2                          ! date of the end       of run
+      LOGICAL            ::   llfsec                           ! local value of ldfsec
+      INTEGER            ::   iyear1, imonth1, iday1           ! year, month, day of the first day of the run
+      INTEGER            ::   iyear2, imonth2, iday2           ! year, month, day of the last  day of the run
+      INTEGER            ::   indg                             ! number of digits needed to write a number     
+      INTEGER            ::   inbsec, inbmn, inbhr             ! output frequency in seconds, minutes and hours
+      INTEGER            ::   inbday, inbyr                    ! output frequency in days and years
+      INTEGER            ::   iyyss, iddss, ihhss, immss       ! number of seconds in 1 year, 1 day, 1 hour and 1 minute
+      REAL(wp)           ::   zsec1, zsec2                     ! not used
+      REAL(wp)           ::   zdrun, zjul                      ! temporary scalars
       !!----------------------------------------------------------------------
-
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) ' dia_nam: building output file name'
-      IF(lwp) WRITE(numout,*) ' ~~~~~~~'
-      IF(lwp) WRITE(numout,*)
 
       ! name for output frequency
 
-      inbsec = kfreq * NINT( rdttra(1) )                                    ! output frequency in seconds
-      iddss = NINT( rday          )                                         ! number of seconds in 1 day
-      ihhss = NINT( rmmss * rhhmm )                                         ! number of seconds in 1 hour
-      immss = NINT( rmmss         )                                         ! number of seconds in 1 minute
+      IF( PRESENT(ldfsec) ) THEN   ;   llfsec = ldfsec
+      ELSE                         ;   llfsec = .FALSE.
+      ENDIF
+
+      IF( llfsec ) THEN   ;   inbsec = kfreq                                ! output frequency already in seconds
+      ELSE                ;   inbsec = kfreq * NINT( rdttra(1) )            ! from time-step to seconds
+      ENDIF
+      iddss = NINT( rday          )                                         ! seconds in 1 day
+      ihhss = NINT( rmmss * rhhmm )                                         ! seconds in 1 hour
+      immss = NINT( rmmss         )                                         ! seconds in 1 minute
+      iyyss = iddss * nyear_len(1)                                          ! seconds in 1 year (not good: multi years with leap)
       clfmt0 = "('(a,i',i1,',a)')"                                          ! format '(a,ix,a)' with x to be defined
       ! 
       IF(          inbsec == 0           ) THEN   ;   clave = ''            ! no frequency
       ELSEIF(      inbsec <  0           ) THEN   ;   clave = '_1m'         ! frequency in month
+      ELSEIF( MOD( inbsec, iyyss  ) == 0 ) THEN                             ! frequency in years
+         inbyr  = inbsec / iyyss
+         indg   = INT(LOG10(REAL(inbyr ,wp))) + 1                           ! number of digits needed to write years   frequency
+         WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbyr , 'y'
       ELSEIF( MOD( inbsec, iddss  ) == 0 ) THEN                             ! frequency in days
          inbday = inbsec / iddss
-         indg = INT(LOG10(REAL(inbday,wp))) + 1                             ! number of digits needed to write days    frequency
+         indg   = INT(LOG10(REAL(inbday,wp))) + 1                           ! number of digits needed to write days    frequency
          WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbday, 'd'
          IF( inbday == nmonth_len(nmonth) )           clave = '_1m'
-         IF( inbday ==  nyear_len(1     ) )           clave = '_1y'
       ELSEIF( MOD( inbsec, ihhss ) == 0 ) THEN                              ! frequency in hours
-         inbhr = inbsec / ihhss
-         indg = INT(LOG10(REAL(inbhr ,wp))) + 1                             ! number of digits needed to write hours   frequency
-         WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbhr, 'h'
+         inbhr  = inbsec / ihhss
+         indg   = INT(LOG10(REAL(inbhr ,wp))) + 1                           ! number of digits needed to write hours   frequency
+         WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbhr , 'h'
       ELSEIF( MOD( inbsec, immss ) == 0 ) THEN                              ! frequency in minutes
-         inbmn = inbsec / immss
-         indg = INT(LOG10(REAL(inbmn ,wp))) + 1                             ! number of digits needed to write minutes frequency
-         WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbmn, 'mn'
+         inbmn  = inbsec / immss
+         indg   = INT(LOG10(REAL(inbmn ,wp))) + 1                           ! number of digits needed to write minutes frequency
+         WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbmn , 'mn'
       ELSE                                                                  ! frequency in seconds
-         indg = INT(LOG10(REAL(inbsec,wp))) + 1                             ! number of digits needed to write seconds frequency
+         indg   = INT(LOG10(REAL(inbsec,wp))) + 1                           ! number of digits needed to write seconds frequency
          WRITE(clfmt, clfmt0) indg                ;   WRITE(clave, clfmt) '_', inbsec, 's'
       ENDIF
@@ -112,7 +120,4 @@
 #endif    
 
-      IF(lwp) WRITE(numout,*) cdfnam     
-      IF(lwp) WRITE(numout,*)          
-
    END SUBROUTINE dia_nam
 
